%define modname FormEncode
Name:           python-formencode
URL:            http://formencode.org/
Summary:        HTML form validation, generation, and conversion package
Version:        1.0
Release:        1.5
License:        PSF
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
Patch0:         python-formencode-0.5.1-badurl.patch
Patch1:         formencode-python-path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%{py_requires}
BuildRequires:  python-devel python-setuptools
Requires:       python-setuptools

%description
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes for
filling and generating forms.

Authors:
--------
    Ian Bicking <ianb@colorstudy.com>

%prep
%setup -q -n %{modname}-%{version}
%patch0
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc docs examples

%changelog

* Tue Nov 11 2008 - Ciaran Farrell <cfarrell1980@gmail.com>
- try building with --record-rpm instead of --record - 1.0-1

* Wed Mar 19 2008 - James Oakley <jfunk@funktronics.ca> - 1.0-1
- Update to 1.0

* Thu Dec 27 2007 - James Oakley <jfunk@funktronics.ca> - 0.9-1
- Fix bad python interpreter path

* Tue Dec 18 2007 - James Oakley <jfunk@funktronics.ca> - 0.9-1
- Update to 0.9:
  - Backward incompatible changes
    * The notion of "empty" has changed to include empty lists,
      dictionaries, and tuples.  If you get one of these values passed
      into (or generated by) a validator with ``not_empty=True`` you can
      get exceptions where you didn't previously.
  - Enhancements
    * Added support for Paste's MultiDict dictionary as input to
      Schema.to_python, by converting it to a normal dict via MultiDict.mixed.
      Previously MultiDicts wouldn't work with CompoundValidators (like
      ForEach)
    * Added encoding parameter to htmlfill, which will handle cases when mixed
      str and unicode objects are used (turning all str objects into unicode)
    * Include ``formencode.validators.InternationalPhoneNumber`` from
      W-Mark Kubacki.
    * ``validators.Int`` takes ``min`` and ``max`` options (from Felix
      Schwarz).
    * You can control the missing message (which by default is just
      "Missing Value") using the message ``"missing"`` in a validator
      (also from James Gardner).
    * Added ``validators.CADR`` (for IP addresses with an optional range)
      and ``validators.MACAddress`` (from Christoph Haas).
  - Bug Fixes
    * Be friendlier when loaded from a zip file (as with py2exe);
      previously only egg zip files would work.
    * Fixed bug in htmlfill when a document ends with no trailing text
      after the last tag.
    * Fix problem with HTMLParser's default unescaping routing, which only
      understood a very limited number of entities in attribute values.
    * Fix problem with looking up A records for email addresses.
    * ``validators.String`` now always returns strings.  It also converts
      lists to comma-separated strings (no ``[...]``), and can encode
      unicode if an ``encoding`` parameter is given.  Empty values are
      handled better.
    * ``validators.UnicodeString`` properly handles non-Unicode inputs.
    * Make ``validators.DateConverter`` serialize dates properly
      (from James Gardner).
    * Minor fix to setup.py to make FormEncode more friendly with
      zc.buildout.


* Mon Apr 23 2007 - James Oakley <jfunk@funktronics.ca> - 0.7.1-1
- Update to 0.7.1:
  From 0.7.1:
    * Set ``if_missing=()`` on ``validators.Set``, as a missing value
      usually means empty for this value.
    * Fix for ``Email`` validator that searches A records in addition to
      MX records (from Jacob Smullyan).
    * Fixes for the ``es`` locale.
  From 0.7:
    * **Backward compatibility issue**: Due to the addition of i18n
      (internationalization) to FormEncode, Invalid exceptions now have
      unicode messages.  You may encounter unicode-related errors if you
      are mixing these messages with non-ASCII ``str`` strings.
    * gettext-enabled branch merged in
    * Fixes `#1457145: Fails on URLs with port numbers
      <http://sourceforge.net/tracker/index.php?func=detail&aid=1457145&group_id=91231&atid=596416>`_
    * Fixes `#1559918 Schema fails to accept unicode errors
      <http://sourceforge.net/tracker/index.php?func=detail&aid=1559918&group_id=91231&atid=596416>`_
    * ``from formencode.validators import *`` will import the ``Invalid``
      exception now.
    * ``Invalid().unpack_errors(encode_variables=True)`` now filters out
      None values (which ``ForEach`` can produce even for keys with no
      errors).

* Mon Jan 08 2007 - poeml@suse.de
- update to 0.6

* Mon Jun 26 2006 - James Oakley <jfunk@funktronics.ca> - 0.4-3
- Remove noarch

* Fri Jun 23 2006 - James Oakley <jfunk@funktronics.ca> - 0.4-2
- No longer need pth kludge

* Thu Jun 22 2006 - James Oakley <jfunk@funktronics.ca> - 0.4-1
- Update

* Thu Oct 13 2005 - James Oakley <jfunk@funktronics.ca> - 0.2.2-1
- Initial release
